<!doctype html>
<html lang="es">

<head>
  <meta charset='utf-8'>
  <title>Introducción a HTML</title>
  <link rel='stylesheet' href='css/style.css'>
  <link rel='stylesheet' href='css/print.css' media='print'>
</head>

<body>


  <article class='reveal'>

    <section class='portada' data-bespoke-state='portada'>
      <h1>Introducción a HTML</h1>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2>Historia</h2>
      <ul class="lista">
        <li>HyperText Markup Language (lenguaje de marcado de hipertexto)</li>
        <li><a href="https://www.w3.org/">W3C</a> y <a href="https://whatwg.org/">WHATWG</a></li>
        <li>Html 5
          <ul class="sub-lista">
            <li>Html 4</li>
            <li>XHtml 1</li>
            <li>DOM 2</li>
            <li>CSS 2</li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2>¿De qué se compone el Html?</h2>
      <h4><pre><code><span class="etiqueta">etiqueta <span class="atributo">atributo</span><span class="valor">="valor"</span></span></code></pre></h4>
      <ul class="lista">
        <li><span class="etiqueta">etiquetas</span></li>
        <li><span class="atributo">atributos</span></li>
        <li><span class="valor">valores</span></li>
      </ul>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2>Etiquetas</h2>
      <ul class="lista">
        <li>Elementos delimitadas con <span class="etiqueta"></span>
          <pre><code><span class="etiqueta">p</span>Contenido<span class="etiqueta">/p</span></code></pre>
          <ul class="sub-lista">
            <li>Etiqueta apertura: <span class="etiqueta">p</span></li>
            <li>Contenido</li>
            <li>Etiqueta cierre: <span class="etiqueta">/p</span></li>
          </ul>
        </li>
        <li>Etiquetas con auto-cierre
          <pre><code><span class="etiqueta">etiqueta /</span></code></pre>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2>Convenciones de nombres</h2>
      <ul class="lista">
        <li>Usar minúsculas
          <ul class="sub-lista">
            <li>etiquetas</li>
            <li>atributos</li>
            <li>valores</li>
          </ul>
        </li>
        <li>Ordenar las etiquetas por nivel (espacios)</li>
      </ul>
      <h4 class="pt-2">Más informacíon: <a href="https://www.w3schools.com/htmL/html5_syntax.asp">w3schools</a></h4>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2>doctype</h2>
      <h4>Html4 :</h4>
      <pre><code><span class="etiqueta">!doctype <span class="atributo">HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" 
        "http://www.w3.org/TR/html4/loose.dtd"</span></span></code></pre>
  <h4>Html5 :</h4>
      <pre><code><span class="etiqueta">!doctype <span class="atributo">html</span></span></code></pre>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2>html</h2>
      <ul class="lista">
        <li>El resto de etiquetas van dentro de esta</li>
        <li>Es recomendable indicar el idioma de la página</li>
      </ul>
      <pre><code><span class="etiqueta">html <span class="atributo">lang</span><span class="valor">="es"</span></span>

  El resto de la página va aquí

<span class="etiqueta">/html</span></code></pre>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2>head</h2>
      <ul class="lista">
        <li>Directamente tras la etiqueta <span class="etiqueta">html</span></li>
      </ul>
      <h4>Se compone de:</h4>
      <div class="float-left pt-2 w-50 center">
        <ul class="lista">
          <li>title</li>
          <li>meta</li>
          <li>link</li>
          <li>script</li>
        </ul>
      </div>
      <pre class='pt-2 '><code><span class="etiqueta">head</span>
  <span class="etiqueta">meta <span class="atributo">charset</span><span class="valor">="utf-8"</span></span>
  <span class="etiqueta">title</span>Kaixo mundua!<span class="etiqueta">/title</span>
  <span class="etiqueta">link <span class="atributo">rel</span><span class="valor">='stylesheet'</span> 
    <span class="atributo">href</span><span class="valor">='css/estilo.css'</span></span>
  <span class="etiqueta">script <span class="atributo">src</span><span class="valor">="js/script.js"</span></script></span>
<span class="etiqueta">/head</span></code></pre>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2>Charset</h2>
      <h4>Encoding - UTF-8</h4>
      <ul class="lista">
        <li>Válido para la gran mayoría de idiomas</li>
      </ul>
      <h4>
        <pre class='pt-2 '><span class="etiqueta">meta <span class="atributo">charset</span><span class="valor">="utf-8"</span></span></code></pre>
      </h4>
      <h4 class="pt-2">HTML 4</h4>
      <ul class="lista">
        <li>ISO-8859-1</li>
      </ul>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2>body</h2>
      <ul class="lista">
        <li>Directamente tras la etiqueta <span class="etiqueta">/head</span></li>
        <li>Contenido de la página</li>
        <li>Intros ignorados</li>
        <li>No más de un espacio</li>
        <li>Carácteres especiales: <a href="https://dev.w3.org/html5/html-author/charref">Lista</a>
          <ul class="sub-lista">
            <li>&amp;lt; = &lt;</li>
            <li>&amp;gt; = &gt;</li>
            <li>&amp;amp; = &amp;</li>
            <li>&amp;nbsp; = '&nbsp;'</li>
          </ul>
        </li>
      </ul>
    </section>
    <section data-bespoke-state='pre-progress clean'>
      <h2>Primer Html</h2>
      <div class="float-left pt-2 w-50">
        <h4>Elementos:</h4>
        <ul class="lista">
          <li>doctype</li>
          <li>html</li>
          <li>head</li>
          <li>body</li>
        </ul>
      </div>
      <div>
      <h4>Ejemplo:</h4>
      <pre><code><span class="etiqueta">!doctype <span class="atributo">html</span></span>
<span class="etiqueta">html <span class="atributo">lang</span><span class="valor">="es"</span></span>
<span class="etiqueta">head</span>
  <span class="etiqueta">meta <span class="atributo">charset</span><span class="valor">="utf-8"</span></span>
  <span class="etiqueta">title</span>Kaixo mundua!<span class="etiqueta">/title</span>
<span class="etiqueta">/head</span>
<span class="etiqueta">body</span>
  Kaixo mundua!
<span class="etiqueta">/body</span>
<span class="etiqueta">/html</span></code></pre>
      </div>

    </section>

  </article>

  <script src='js/slides.keys.js'></script>
  <script src='js/slides.classes.js'></script>
  <script src='js/slides.state.js'></script>
  <script src='js/slides.kernel.js'></script>
  <script src='js/slides.jump.js'></script>
  <script src='js/slides.swipe.js'></script>

  <script>
    const { Deck, classes, keys, state, jump, swipe } = S6;
    const deck = new Deck({
      parent: 'article',
      plugins: [classes(), keys(), state(), jump(), swipe()]
    });
  </script>
</body>

</html>
